## javax.persistence.metamodel
Interface Attribute<X,Y>

All Known Subinterfaces:
  CollectionAttribute<X,E>, ListAttribute<X,E>, MapAttribute<X,K,V>, PluralAttribute<X,C,E>, SetAttribute<X,E>, SingularAttribute<X,T>

    public interface Attribute<X,Y>

Nested Class Summary
`static class` `Attribute.PersistentAttributeType`

Method Summary
`ManagedType<X>` `getDeclaringType()`
`java.lang.reflect.Member` `getJavaMember()`
`java.lang.Class<Y>` `getJavaType()`
`java.lang.String` `getName()`
`Attribute.PersistentAttributeType` `getPersistentAttributeType()`
`boolean` `isAssociation()`
`boolean` `isCollection()`

Method Detail

### getName

    java.lang.String getName()

### getPersistentAttributeType

    Attribute.PersistentAttributeType getPersistentAttributeType()

### getDeclaringType

    ManagedType<X> getDeclaringType()

### getJavaType

    java.lang.Class<Y> getJavaType()

### getJavaMember

    java.lang.reflect.Member getJavaMember()

### isAssociation

    boolean isAssociation()

### isCollection

    boolean isCollection()